Bug 11244 - Теряются пакеты на pptp
: Теряются пакеты на pptp
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
: 11110
:
  Show dependency tree
 
Reported: 2007-03-28 00:37 by
Modified: 2008-01-28 13:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-28 00:37:36
На версии ppp-2.4.4-alt1 ping'ги через pptp проходят через раз(два, три...). В
dmesg много ругани вида 'ppp: compressor dropped pkt'. Откат до версии
ppp-2.4.2-alt6.1.1 решает проблемму.
------- Comment #1 From 2007-03-29 01:42:18 -------
У меня по другому: первое время (недолго) пакеты ходят замечательно, потом
начинаю ходить лишь наружу (смотрю tcpdump -i ppp1). В логах вроде ничего не
появляется. Есть ещё такое в dmesg, но не уверен, что связано, т.к. нет данных
о
времени:

mppe_decompress[1]: osize too small! (have: 1504 need: 1505)
mppe_decompress[1]: osize too small! (have: 1504 need: 1505)

Также пришлось сделать s/require-mppe/mppe required,no40,no56,stateless/ иначе
сеть не поднималась. С этим тоже надо что-то делать...

Откатился на 2.4.2.
------- Comment #2 From 2007-03-29 11:42:02 -------
Мужики, кто-то может собрать ppp-pptp-2.4.2?  Тогда ppp можно переименовать во
что-нибудь, расставить взаимные конфликты и Provides: ppp.  Насколько помню,
там
всегда были конфликты между CBCP и MPPC/MPPE, бишь дайлапщиками и
выделенщиками.

2 pilot, hiddenman: можете прокомментировать?
------- Comment #3 From 2007-03-29 12:14:13 -------
С 2.4.2 у меня в /var/log/messages вот такое
Mar 28 19:19:29 localhost pptp[9562]: anon log[decaps_gre:pptp_gre.c:407]:
buffering packet 874980 (expecting 874976, lost or reordered)
------- Comment #4 From 2007-03-29 12:17:19 -------
(In reply to comment #2)
> Мужики, кто-то может собрать ppp-pptp-2.4.2?  Тогда ppp можно переименовать во
> что-нибудь, расставить взаимные конфликты и Provides: ppp.  Насколько помню, там
> всегда были конфликты между CBCP и MPPC/MPPE, бишь дайлапщиками и выделенщиками.
Я не очень силён в ppp, но мне нужно pptp over pppoe. Нефакт что кому-нибудь не
понадобиться pptp over dial-up.
------- Comment #5 From 2007-03-29 18:42:31 -------
Кому понадобится, тот пусть и вылазит?
------- Comment #6 From 2007-03-29 19:55:14 -------
Как минимум, оставить всё как есть. Код точить (чтобы оба синтаксиса mppe
понимал, в частности).

2 mike: если разделить, что делать таким как я - временами mppe, временами
dial-up via GPRS? Надо синкретически совместить.
------- Comment #7 From 2007-03-29 20:14:57 -------
Ну альтернативы, а не конфликт.  Я (и думаю, Денис) не в состоянии и не
заинтересован настолько (сейчас), чтобы пытаться взять и всё подряд
исправить...
в проекте, где сейчас ppp нужен, скорее возьмут коробочку до ста баксов в
качестве маршрутизатора при малейшей необходимости.
------- Comment #8 From 2007-03-30 01:55:04 -------
Всем привет. Я уже и забыл, когда PPP пользовался (GPRS), а модем в руках года
два с половиной не держал. Так что вредных советов давать не буду.
------- Comment #9 From 2007-05-16 01:10:53 -------
Господа, посмотрите #11110, судя по всему, это решено. По крайней мере, мы
тестировали это на PPTP+MPPE (виндовые клиенты). В incoming-е уже несколько
дней
лежит новый ppp, ждёт инкамингера из отпуска :-)
------- Comment #10 From 2007-06-25 21:37:23 -------
Наблюдаю падение ppp
При нагрузке на сеть (подключаюсь к терминальному серверу) падает ppp подключение.
------- Comment #11 From 2007-06-25 22:46:10 -------
(In reply to comment #10)
> Наблюдаю падение ppp
> При нагрузке на сеть (подключаюсь к терминальному серверу) падает ppp подключение.
> 
Симптомы какие? Логи, конфиги и т.п. Текущий ppp работает круглосуточно на
сервере с примерно сотней ppp+pptp (mppe+mppc) у людей, пока живо вроде.
------- Comment #12 From 2007-12-08 20:19:17 -------
Всем заинтересованным: просьба проверить на текущих сборках (предлагаю
2.4.4-alt9.8, в которой исправлено ещё несколько проблем, но можно и alt8/9).
------- Comment #13 From 2008-01-25 18:35:44 -------
УМВР (2.4.4-alt10).
------- Comment #14 From 2008-01-28 08:52:31 -------
УМВР too.